curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
]
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post"
payload = [
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": ["twenty_five_to_thirty_four", "eighteen_to_twenty_four", "unknown"],
"bid": 1,
"daily_budget": 24,
"gender": ["male"],
"industry": ["806303407", "806301758"],
"job_function": ["806298607"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
location_coordinate: '29.6821525,-82.4098881,100',
age: ['twenty_five_to_thirty_four', 'eighteen_to_twenty_four', 'unknown'],
bid: 1,
daily_budget: 24,
gender: ['male'],
industry: ['806303407', '806301758'],
job_function: ['806298607']
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": {}
}
]
}设置“Bing Ads 受众估算”任务
此端点根据指定的定向条件提供广告活动的预估受众规模。
示例
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"location_name": "...", "location_code": "...", "location_coordinate": "..."}]'
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations of the search engine with their location_name by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations
example:London,England,United Kingdom
search engine location code
required field if you don't specify location_name or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations of the search engines with their location_code by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations
example:2840
GPS coordinates of a location
required field if you don't specify location_name or location_code
if you use this field, you don't need to specify location_name or location_codelocation_coordinate parameter should be specified in the "latitude,longitude,radius (in km)" format
the data will be provided for the country the specified coordinates belong to
example:29.6821525,-82.4098881,100
selection of age ranges for targeting
possible values: eighteen_to_twenty_four, fifty_to_sixty_four, sixty_five_and_above, thirteen_to_seventeen, thirty_five_to_forty_nine, twenty_five_to_thirty_four, unknown, zero_to_twelve
desired bid setting value in USD
maximum value: 1000
daily campaign budget value in USD
maximum value: 10000
gender to target
possible values: male, female, unknown
industry of LinkedIn profile targeting
if you use this field, you can receive the list of available industry names with industry_id by making a separate request to the https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/industries
example: 806301758
job function of LinkedIn profile targeting
if you use this field, you can receive the list of available job function names with job_function_id by making a separate request to the https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/job_functions
example: 806300451
[
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": ["male"],
"industry": ["806303407", "806301758"],
"job_function": ["806298607"]
}
]
响应
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes